public static System.Boolean CreateDrawings(
            Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingRule Rule_,
            Dynamic.Tekla.Structures.Identifier ModelObjectIdentifier_)
        {
            var Rule = Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingRule_.GetTSObject(Rule_);
            var ModelObjectIdentifier = Dynamic.Tekla.Structures.Identifier_.GetTSObject(ModelObjectIdentifier_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Drawing.Automation.DrawingCreator", "CreateDrawings", Rule, ModelObjectIdentifier);

            return(result);
        }
        public static System.Boolean CreateDrawings(
            Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingRule Rule_,
            Dynamic.Tekla.Structures.Identifier ModelObjectIdentifier_,
            out Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingsStatusEnum OperationStatus_)
        {
            var Rule = Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingRule_.GetTSObject(Rule_);
            var ModelObjectIdentifier = Dynamic.Tekla.Structures.Identifier_.GetTSObject(ModelObjectIdentifier_);
            var OperationStatus       = Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingsStatusEnum_.GetTSObject(0);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Drawing.Automation.DrawingCreator", "CreateDrawings", Rule, ModelObjectIdentifier, ref OperationStatus);

            OperationStatus_ = Dynamic.Tekla.Structures.Drawing.Automation.AutoDrawingsStatusEnum_.FromTSObject(OperationStatus);
            return(result);
        }